purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.Interactive

Synopsis

- handleCommand :: (MonadReader PSCiConfig m, MonadState PSCiState m, MonadIO m) => (String -> m ()) -> m () -> (String -> m ()) -> Command -> m ()
- module Language.PureScript.Interactive.Types
- module Language.PureScript.Interactive.Printer
- module Language.PureScript.Interactive.Parser
- module Language.PureScript.Interactive.Module
- module Language.PureScript.Interactive.Message
- module Language.PureScript.Interactive.IO
- module Language.PureScript.Interactive.Completion
- make :: [(FilePath, PartialResult Module)] -> Make ([ExternsFile], Environment)
- runMake :: Make a -> IO (Either MultipleErrors a)

# Documentation

handleCommand #

Arguments

:: (MonadReader PSCiConfig m, MonadState PSCiState m, MonadIO m) |
=> (String -> m ()) | evaluate JS
-> m () | reload
-> (String -> m ()) | print into console
-> Command |
-> m () |

Performs a PSCi command

module Language.PureScript.Interactive.Types

module Language.PureScript.Interactive.Printer

module Language.PureScript.Interactive.Parser

module Language.PureScript.Interactive.Module

module Language.PureScript.Interactive.Message

module Language.PureScript.Interactive.IO

module Language.PureScript.Interactive.Completion

make :: [(FilePath, PartialResult Module)] -> Make ([ExternsFile], Environment) #

Build the collection of modules from scratch. This is usually done on startup.

runMake :: Make a -> IO (Either MultipleErrors a) #

This is different than the runMake in `Make` in that it specifies the options and ignores the warning messages.